CSFML 3.0.0
Loading...
Searching...
No Matches
Enumerations
SocketStatus.h File Reference

Go to the source code of this file.

## Enumerations
enum | sfSocketStatus { sfSocketDone , sfSocketNotReady , sfSocketPartial , sfSocketDisconnected , sfSocketError }
| Define the status that can be returned by the socket functions. More...

## Enumeration Type Documentation

## ◆ sfSocketStatus

enum sfSocketStatus

Define the status that can be returned by the socket functions.

Enumerator
sfSocketDone | The socket has sent / received the data.
sfSocketNotReady | The socket is not ready to send / receive data yet.
sfSocketPartial | The socket sent a part of the data.
sfSocketDisconnected | The TCP socket has been disconnected.
sfSocketError | An unexpected error happened.

Definition at line 31 of file SocketStatus.h.